Subject: Re: [bitcoin-dev] Exploring alternative activation mechanisms: decreasing threshold

From: Ryan Grant <[email-masked]>
Date: Fri, 26 Feb 2021 17:48:33 +0000

Huh.
I like the mechanism.

I like the honesty that once a feature with high demand and safety is
ready, activation pressure will keep increasing.

The gradual march of time in this Decreasing Threshold proposal is
predictable and incremental in ways that help avoid brinkmanship.

Avoiding the hard fork dynamic (that LOT=true requires) prevents some
chain splits, but activation under political opposition may then still
depend on a UASF.  If I thought the time had come to line up a UASF
for a feature, I'd first want to have nodes out there running this
softer Decreasing Threshold activation (maybe before it fails).

It's also not as unresponsive to miner wisdom as LOT=true.
Conceptually, it asks miners to arbitrate both version adoption as
well as whether nodes which haven't upgraded face risks in an early
activation.  Should miners find themselves in dramatic unanimity, they
even have enough influence to technically fail any activation.